# UnivateProperties

## Project setup

```
npm install
```

### Compiles and hot-reloads for development

```
npm run serve
```

### Compiles and minifies for production

```
npm run build
```

### Run your tests

```
npm run test
```

### Lints and fixes files

```
npm run lint
```

### Customize configuration

See [Configuration Reference](https://cli.vuejs.org/config/).

### Structure

#### To Get All Classes

http://localhost:57260/api/info/getAllClasses

#### To Get Property from Class

http://localhost:57260/api/info/UnivateProperties_API.Model.Users.User

#### To Add Template

http://localhost:57260/api/template
{
"Name": "WeekAuthorized",
"Subject": "[Resort][unit] [Module]",
"Body": "<h4>Dear [Username]</h4><p>Your week information has been confirmed.</p><p>Please log on to the Uni-Vate Website and publish your week.</p><p>This will allow all websites users to view your Week.</p><h4>Thank you</h4><h4><b>Uni-Vate Properties</b></h4>",
"PlaceHolders": [
{
"Name": "[Resort]",
"BoundTo": "ResortName",
"BoundToClass": "UnivateProperties_API.Model.Timeshare.TimeshareWeek",
"BoundToClassDisplay": "TimeshareWeek",
},
{
"Name": "[Unit]",
"BoundTo": "UnitNumber",
"BoundToClass": "UnivateProperties_API.Model.Timeshare.TimeshareWeek",
"BoundToClassDisplay": "TimeshareWeek",
},
{
"Name": "[Module]",
"BoundTo": "Module",
"BoundToClass": "UnivateProperties_API.Model.Timeshare.TimeshareWeek",
"BoundToClassDisplay": "TimeshareWeek",
},
{
"Name": "[Username]",
"BoundTo": "Username",
"BoundToClass": "UnivateProperties_API.Model.Users.User",
"BoundToClassDisplay": "User",
}
]
}

### Tender Weeks

http://www.unipoint-consoft.co.za/nph-srep.exe?cluvavail.sch&CLUB=LPA&RESORT=ALL&SUMMARY=N&HEAD=Y

that is the url to call the tender week

HEAD=Y will give a heading = HEAD=N (no headings)

ok i have done the "banking" option for UV to hold a week

i have created a test option to run on backup data so you can test

for available units

http://www.unipoint-consoft.co.za/nph-srep.exe?cluvavail_test.sch&CLUB=LPA&RESORT=ALL&SUMMARY=N&HEAD=Y

the call with \_test on the end uses the daily backed up test data

for the live data then leave the \_test off

ok to put a week on hold got Univate - ie if client is interested - theis will remove it from availability while documentation etc is being done

http://www.unipoint-consoft.co.za/nph-srep.exe?cluvbank_test.sch&CLUB=LPA&TYPE=BANK&RESORT=KK&UNIT=009&MODULE=32&YEAR=2020&BANKTO=UV

the TYPE= BANK puts the week on HOLD for UNIVATE - YEAR=2019 for this year or 2020 for next year

if you want to cancel the booking use

http://www.unipoint-consoft.co.za/nph-srep.exe?cluvbank_test.sch&CLUB=LPA&TYPE=CANCEL&RESORT=KK&UNIT=009&MODULE=32&YEAR=2020&BANKTO=UV

if you get a SUCCESS response it means it worked

otherwise will return error messages to tell you what the issue is
